RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ValueType System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true)

objects are created through the use of the CIL instruction .

For more information on , see Partition III of the CLI Specification.

Represents a type using an internal metadata token.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Boolean `` To be added.

  Indicates whether the specified object is equal to the current structure.

  true if is a structure and is equal to the value of this instance; otherwise, false.

  An object to compare to the current instance.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Boolean `` To be added.

  Indicates whether the specified structure is equal to the current structure.

  true if the value of is equal to the value of this instance; otherwise, false.

  The structure to compare to the current instance.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for the current instance.

  A 32-bit signed integer hash code.

- Method
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.ModuleHandle To be added.

  Gets a handle to the module that contains the type represented by the current instance.

  A structure representing a handle to the module that contains the type represented by the current instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The parameter is reserved; it does not currently participate in this operation.

  For more information about the serialization operation performed by this method, see the method.

  Populates a with the data necessary to deserialize the type represented by the current instance.

  The object to be populated with serialization information. (Reserved) The location where serialized data will be stored and retrieved.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Using this operator to compare two variables of type causes an ambiguous overload resolution error when compiled. Use the method instead.

  Indicates whether an object and a structure are equal.

  true if is a structure and is equal to ; otherwise, false.

  An object to compare to . A structure to compare to .
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Using this operator to compare two variables of type causes an ambiguous overload resolution error when compiled. Use the method instead.

  Indicates whether a structure is equal to an object.

  true if is a and is equal to ; otherwise, false.

  A structure to compare to . An object to compare to .
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Using this operator to compare two variables of type causes an ambiguous overload resolution error when compiled. Use the method instead.

  Indicates whether an object and a structure are not equal.

  true if is a and is not equal to ; otherwise, false.

  An object to compare to . A structure to compare to .
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Using this operator to compare two variables of type causes an ambiguous overload resolution error when compiled. Use the method instead.

  Indicates whether a structure is not equal to an object.

  true if is a structure and is not equal to ; otherwise, false.

  A structure to compare to . An object to compare to .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr

  A containing the value of the handle.

  This property is read-only.

  Gets a handle to the type represented by this instance.

  0
0